# -*- coding: utf-8 -*-
## ExternalSiteCatalog
## Index and search external sites in a Plone site
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

from Products.funittest import DataProvider
from DateTime import DateTime
import os
EXTERNALSITE_URL = os.environ.get('SELENIUMRC_URL', "http://localhost:8080/Plone")

class ExternalSite(DataProvider):
    pass
    
    
defaults = {'url':EXTERNALSITE_URL,
            'title':'Title',
            'period':'daily',
            'scheduled_hour':0,
            'max_duration':1,
            'max_pages':1,
            'last_execution_date':DateTime(),
            'login':'',
            'charset':'utf-8',
            'password':'',
           }
key = "title"
externalsite = ExternalSite("ExternalSiteCatalog", defaults, key)
provide = externalsite.provide
provide( title='Site 1')
provide( title='Site 2')
provide( title='Daily, scheduled for now', 
         period="daily", 
         max_duration=24,
         last_execution_date=DateTime()-2)
provide( title='Monthly, scheduled for now',
         period="monthly",
         max_duration=24,
         last_execution_date=DateTime()-40)
provide( title='Login but no password',
         login='login')
provide( title='Password but no login',
         password='password')
provide( title='Site needing a login',
         login='login',
         password='password')
provide( title='Plone')
