# -*- coding: utf-8 -*-
## ExternalSiteCatalog
## Index and search external sites in a Plone site
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# $Id: esg_schedule.py,v 1.2 2006/12/01 15:38:47 roeder Exp $

__author__  = 'Maik Roeder <maik.roeder@ingeniweb.com>'
__docformat__ = 'restructuredtext'

from Products.funittest import physical
from Products.funittest import logical
from Products.funittest import dataprovider
from Products.funittest import register_lfm
from Products.funittest import register_esg

class Schedule:
    def snapshot(self, state):
        state.set('schedule', None)
        
    def add_externalsite(self, site):
        self.interpreter.annotate("Check that Site '%s' is scheduled" %site['title'] )
        physical.schedule.is_ready_to_be_run(site)

    def reconfigure_externalsite(self, site1, site2):
        self.interpreter.annotate("Make sure that Site '%s' has replaces Site '%s'" %(site2['title'],site1['title']))
        physical.schedule.is_ready_to_be_run(site1)
        if physical.schedule.is_ready_to_be_run(site2):
            raise "Need to be able to fail here"
        
register_esg("ExternalSiteCatalog", Schedule())
