# -*- coding: utf-8 -*-
## ExternalSiteCatalog
## Index and search external sites in a Plone site
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
from Products.funittest import Testable
from Products.funittest import physical
from Products.funittest import dataprovider
from Products.funittest import logical
from Products.funittest import register_lfm
import os
    
class Config(Testable):

    def access_externalsitecatalog_configlet(self):
        self.interpreter.annotate("Access the ExternalSiteCatalog Configlet")    
        physical.setup.access_setup()
        physical.configlet.accessConfiglet()

    def add_externalsite(self, site):
        """
        Assumes to be in the ExternalSiteCatalog configlet
        Adds a new ExternalSiteConfiguration.
        """
        self.interpreter.annotate("Add Site '%s'" % site['title'])
        physical.configlet.addSite()              
        physical.configlet.editSite(site)
        physical.configlet.saveSite(site)
        
    def reconfigure_externalsite(self, site1, site2):
        self.interpreter.annotate("Reconfigure Site '%s' to '%s'" %(site1['title'], site2['title']))
        physical.configlet.accessSite(site1)
        physical.configlet.editSite(site2)
        physical.configlet.saveSite(site2)
        
    def index_externalsite(self, site):
        self.interpreter.annotate("Index Site '%s'" %site['title'] )
        physical.configlet.selectSite(site)
        physical.configlet.indexSite(site)
        
    def remove_all_externalsites(self):
        self.interpreter.annotate("Remove all sites")        
        if physical.configlet.hasSites():
            physical.configlet.selectAll()
            physical.configlet.delete()
            physical.configlet.verify_changes_made()
        
register_lfm("ExternalSiteCatalog", Config())
