# -*- coding: utf-8 -*-
## ExternalSiteCatalog
## Index and search external sites in a Plone site
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

from Products.funittest import physical
from Products.funittest import register_pom
import os

class Configlet:
    
    remove_all_checkbox_locator = "//th/input[@name='selectButton']"
    delete_button_locator = "//form[@id='edit_form']/div/div/input[@name='form.button.Delete']"
    select_site_locator = "//form[@id='edit_form']/div/div/table/tbody/tr/td/input[@title='%s']"
    access_site_locator = "//form[@id='edit_form']/div/div/table/tbody/tr/td/a[@text='%s']"
    index_button_locator = "form.button.Index" 

    def accessConfiglet(self):
        self.interpreter.clickAndWait("link=External Site Catalog")
    
    def selectSite(self, site):
        self.interpreter.click(self.select_site_locator % site['title'])

    def accessSite(self, site):        
        self.interpreter.clickAndWait(self.access_site_locator)
        
    def indexSite(self, site):
        self.interpreter.clickAndWait(self.index_button_locator)

    def containsSite(self, site):
        return self.interpreter.is_element_present(self.select_site_locator % site['title'])
                          
    def hasSites(self):
        return self.interpreter.is_element_present(self.remove_all_checkbox_locator)
            
    def selectAll(self):
        self.interpreter.click(self.remove_all_checkbox_locator)
        
    def delete(self):
        self.interpreter.clickAndWait(self.delete_button_locator)    
        
    def addSite(self):
        self.interpreter.clickAndWait("form.button.AddSite")
        
    def editSite(self, site):
        values = []
        for key, value in site.items():
            values.append( {'id':key,
                            'value':value,
                           })
        physical.form.fill("edit_form", values)

    def saveSite(self, site):
        self.interpreter.clickAndWait("form_submit")
        
    def accessSite(self, site):
        self.interpreter.clickAndWait('link=' + site['title'])

    def fillSiteForm(self, site):
        filled=1
        return filled
        
    def verify_changes_made(self):
        self.interpreter.verifyTextPresent("Changes made.")

register_pom("ExternalSiteCatalog", Configlet())
