﻿# -*- coding: utf-8 -*-
## ExternalSiteCatalog
## Index and search external sites in a Plone site
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# $Id: test_search.py,v 1.3 2006/12/01 15:37:17 roeder Exp $

__author__  = 'Maik Roeder <maik.roeder@ingeniweb.com>'
__docformat__ = 'restructuredtext'

import unittest
from Products.funittest import logical
from Products.funittest import physical
from Products.funittest import dataprovider
from Products.funittest import precondition
from Products.funittest import TestCase

import os

class TestSearch(TestCase):
    "Search external sites in Plone"

    def setUp(self):    
        TestCase.setUp(self)
        self.interpreter.open("")        
        user={'id':'sampleadmin'}        
        logical.application.change_user(user)
        precondition.config.no_existing_configurations()    
    
    def test_index_externalsite_and_search(self):
        "Index a site and search it"
        site = dataprovider.externalsite.take('Plone')
        logical.config.add_externalsite(site)
        logical.config.index_externalsite(site)
        logical.externalsitesearch.search_externalsite(site)
        self.interpreter.verifyTextNotPresent("No results were found.")
        
if __name__ == "__main__":
    unittest.main()
